%define iconname xfmedia.png

Summary: 	Xfmedia is a media player for Xfce
Name: 		xfmedia
Version: 	0.9.2
Release: 	%mkrel 1
License:	BSD
URL: 		http://www.spuriousinterrupt.org/projects/xfmedia/files/
Source0: 	%{name}-%{version}.tar.bz2
# (fc) 0.9.1-3mdk fix compilation with dbus 0.60
Patch0:		xfmedia-0.9.1-dbus060.patch.bz2
Group:		Video
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	glib2-devel >= 2.0.6
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires:	libxine-devel 
BuildRequires:	startup-notification-devel
BuildRequires:  ImageMagick
BuildRequires:  exo-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	taglib-devel
BuildRequires:	dbus-devel
BuildRequires:  chrpath
%description
Xfmedia is a media player for Xfce.

%package -n %name-devel
Summary:    Xfmedia is a media player for Xfce
Group:   Development/Other
Requires:  %{name} = %{version}

%description -n %name-devel
Pkg contains the header files needed for developing with Xfmedia.


%prep
%setup -q 
#%patch0 -p1 -b .dbus060

%define __libtoolize /bin/true
%define __cputoolize /bin/true
%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std   

%find_lang %{name}
 
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 pixmaps/%{name}.png %{buildroot}%{_liconsdir}/%{iconname}
convert pixmaps/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert pixmaps/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 
 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{name}" \
	icon="%{iconname}" \
	title="Xfmedia" \
	longtitle="Media player for Xfce." \
	needs="x11" \
	section="Multimedia/Sound" \
        xdg="true"
EOF 

desktop-file-install --vendor="" \
--remove-category="Application" \
--remove-category="AudioPlayer" \
--remove-category="VideoPlayer" \
--add-category="GTK" \
--add-category="Player" \
--add-category="X-MandrivaLinux-Multimedia-Video" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*  

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}
%{update_desktop_database}

%clean
rm -rf %{buildroot}
%{clean_desktop_database}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README README.remote ChangeLog COPYING AUTHORS NEWS
%{_bindir}/* 
%config(noreplace) %{_sysconfdir}/xdg/xfmedia
%dir %{_libdir}/xfmedia
%dir %{_libdir}/xfmedia/plugins
%{_libdir}/xfmedia/plugins/*.so
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/xfmedia.desktop
 
%{_datadir}/xfmedia
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %name-devel
%defattr(-,root,root)
%doc README.plugins
%{_includedir}/%{name}
%{_libdir}/xfmedia/plugins/*a
%{_libdir}/pkgconfig/xfmedia-plugin.pc


%changelog
* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.2-1mdv2007.1
+ Revision: 103210
- Remove patch0 and update xfmedia
- Import xfmedia



* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.1-4mdv2007.0
- rebuild
- xdg 

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-3mdk
- Patch0: dbus 0.60 support

* Thu Nov 03 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-2mdk
- Rebuild with latest dbus

* Wed Sep 14 2005 Marcel Pol <mpol@mandriva.org> 0.9.1-1mdk
- 0.9.1, fixes segfault with gtk+-2.8

* Mon Sep 12 2005 Marcel Pol <mpol@mandriva.org> 0.9.0-1mdk
- 0.9.0
- build against taglib
- remove unneeded devel files

* Mon Aug 01 2005 Marcel Pol <mpol@mandriva.org> 0.8.0-2mdk
- buildrequires perl-XML-Parser
- %%mkrel

* Sun Jun 12 2005 Couriousous <couriousous@mandriva.org> 0.8.0-1mdk
- Some spec fixes
- From trem@zarb.org:
	- 0.8.0
	- add exo-devel in BuildRequires

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 0.7.1-1mdk
- 0.7.1
- update file list

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.6.0-3mdk
- group Video is better

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.6.0-2mdk
- group: Graphical desktop/Xfce

* Sun Jan 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.6.0-1mdk
- 0.6.0
- fix typo in BR and add ImageMagick
- add devel pkg
- to prevent sanity check failure do not use configure marco
- create menu entry and icons

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 0.5.0-1mdk
- initial package
